<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
    <style>
        form legend {
            color: red;
        }

        #info {
            position: absolute;
            right: 50px;
            top: 50px;
            font-size: 30px;
        }
    </style>
    <form>
        <fieldset>
            <legend>№<span></span></legend>
            <div>
                <p> Что обозначает приставка Java в имени JavaScript?
                </p>
                <span> A. Язык JavaScript и Java это одно и тоже. <input type="radio" name='gerstion1'><br></span>
                <span>B. Эта приставка указывает что это язык есть облегчённой версией языкаJava.<input type="radio"
                        name='gerstion1'><br></span>
                <span>C. Это только название, которое никак не связывает этот язык с языком Java.<input type="radio"
                        value="true" name='gerstion1'><br></span>
                <span>D. То что эти два языка программирования выпустила одна и та же компания. <input type="radio"
                        name='gerstion1'><br></span>
            </div>
        </fieldset>
        <fieldset>
            <legend>№<span></span></legend>
            <div>
                <p>Что такое идентификатор в JavaScript?</p>

                <span>A. Это имя переменной или функции.<input type="radio" value="true" name='gerstion2'><br></span>
                <span>B. Это тип данных - Объект<input type="radio" name='gerstion2'><br></span>
                <span>C. Это тип данных - Функция<input type="radio" name='gerstion2'><br></span>
                <span>D. Это тип данных - Массив <input type="radio" name='gerstion2'><br></span>
            </div>
        </fieldset>
    </form>
    <main>
        <input type="text" id='name' placeholder="FIO"> <input type="hidden" id='mark'>
        <div id='info'>

        </div>
    </main>
    <button id='resultBTN'> CHECK </button>
    <script>
        var number = document.querySelectorAll('legend span');// переменная возвращает все спаны которые лежат в легенде.
        var counter = 1;
        var result = 0;
        var resultBTN = document.getElementById('resultBTN');
        var nameInp = document.getElementById('name');
        var mark = document.getElementById('mark');
        var info = document.getElementById('info');
        for (let i = 0; i < number.length; i++) {
            number[i].innerHTML = counter++;
        }
        var check = document.querySelectorAll('input[type=radio]');
        resultBTN.onclick = function () {
            for (let i = 0; i < check.length; i++) {
                if (check[i].value === 'true' && check[i].checked === true) {
                    result += 1;
                    check[i].parentElement.style.background = 'lime';
                }
                if (check[i].value === 'on' && check[i].checked === true) {
                    check[i].parentElement.style.background = 'red';

                }
                info.innerHTML = nameInp.value + ' : ' + result + 'b';
            }
            console.log(result);
        }
    </script>
</body>

</html>